'''
Created on 03/04/2011

@author: emea
'''
import pygame
import os
import SpriteSheet
import AnimatedSprite
import data

class Cursor(object):
 
    def __init__(self, x, y, dy):
        self.girl_cursor = AnimatedSprite.AnimatedSprite(SpriteSheet.images_list(55, 65, data.filepath("Minigirl.png")))
        
        self.rect = self.girl_cursor.image.get_rect()
        self.rect.x = x
        self.y_initial = y
        self.dy = dy
        self.y = 0
        self.select(0)
 
    def update(self):
        self.y += (self.to_y - self.y) / 10.0
        self.rect.y = int(self.y)
        self.girl_cursor.update(pygame.time.get_ticks())
 
    def select(self, index):
        self.to_y = self.y_initial + index * self.dy
 
    def printScreen(self, screen):
        screen.blit(self.girl_cursor.image, self.rect)